> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gomaestro.org/llms.txt
> Use this file to discover all available pages before exploring further.

> Get detailed information about a specific Dogecoin DRC-20 token including supply, holders, and deployment details.

# DRC20 Info



## OpenAPI

````yaml dogecoin/blockchain-indexer-api/openapi.json get /assets/drc20/{ticker}
openapi: 3.0.3
info:
  title: Dogecoin - Blockchain Indexer API
  description: Core indexer endpoints dedicated to Dogecoin metaprotocols.
  contact:
    name: Maestro Blockchain Inc.
    url: https://gomaestro.org/
    email: info@gomaestro.org
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.txt
  version: v0.1.1
servers:
  - url: https://xdg-mainnet.gomaestro-api.org/v0
    description: Dogecoin Mainnet
  - url: https://xdg-testnet.gomaestro-api.org/v0
    description: Dogecoin Testnet
security:
  - api-key: []
paths:
  /assets/drc20/{ticker}:
    get:
      tags:
        - DRC20
      summary: DRC20 Info
      description: Information about the specified DRC20 asset.
      operationId: drc20_info
      parameters:
        - name: ticker
          in: path
          description: DRC20 ticker string
          required: true
          schema:
            type: string
          example: FCTB
      responses:
        '200':
          description: Requested data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TimestampedDrc20Info'
              example:
                data:
                  deploy_inscription: >-
                    f86ac394543faf363d18b9bebfe160f6e57539f69642ce9a3d23f2e4e92c12c5i0
                  holders: 86
                  minted_supply: '7969155.000000000000000000'
                  terms:
                    dec: 18
                    limit: '69.000000000000000000'
                    max: '20420420.000000000000000000'
                  ticker: $yod
                  ticker_hex: 24796f64
                last_updated:
                  block_hash: >-
                    bdb39d4aaf7dc588c3732a27fd57b7cdc0c93bec20c98526e3af45217590500a
                  block_height: 5288700
        '400':
          description: Malformed query parameters
        '404':
          description: Requested entity not found on-chain
        '500':
          description: Internal server error
components:
  schemas:
    TimestampedDrc20Info:
      type: object
      required:
        - data
        - last_updated
      properties:
        data:
          $ref: '#/components/schemas/Drc20Info'
        last_updated:
          $ref: '#/components/schemas/LastUpdated'
    Drc20Info:
      type: object
      required:
        - ticker
        - ticker_hex
        - deploy_inscription
        - holders
        - minted_supply
        - terms
      properties:
        deploy_inscription:
          type: string
        holders:
          type: integer
          format: int64
          minimum: 0
        minted_supply:
          type: string
        terms:
          $ref: '#/components/schemas/Drc20Terms'
        ticker:
          type: string
        ticker_hex:
          type: string
    LastUpdated:
      type: object
      required:
        - block_hash
        - block_height
      properties:
        block_hash:
          type: string
        block_height:
          type: integer
          format: int64
          minimum: 0
    Drc20Terms:
      type: object
      required:
        - max
        - limit
        - dec
      properties:
        dec:
          type: integer
          format: int32
          minimum: 0
        limit:
          type: string
        max:
          type: string
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: api-key
      description: Project API Key

````